Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class PurgeCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.PurgeCommand

    class PurgeCommand
    extends ComplexCommandSupport

The 'purge' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`java.lang.Object` | `do_classes`
`java.lang.Object` | `do_imports`
`java.lang.Object` | `do_preferences`
`java.lang.Object` | `do_variables`

Constructor Summary
`PurgeCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Property Detail

### do_classes

    java.lang.Object do_classes

### do_imports

    java.lang.Object do_imports

### do_preferences

    java.lang.Object do_preferences

### do_variables

    java.lang.Object do_variables

Constructor Detail

### PurgeCommand

    PurgeCommand(Shell shell)

Groovy Documentation